API Referenceapipatient-graphDELETE /v1/patients/me/journal/{date}

DELETE /v1/patients/me/journal/\{date\}

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • date (string) required

Responses

200 Journal entry deleted if present

{
  "type": "object",
  "properties": {
    "deleted": {
      "type": "boolean"
    }
  },
  "required": [
    "deleted"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://patient-graph.platform.loop.health/v1/patients/me/journal/{date} \
  -H "Authorization: Bearer $ACCESS_TOKEN"